### Struct

# EDataBook BookCacheSearchData

since: 3.26

#### Description [src]

    struct EBookCacheSearchData {
      gchar* uid;
      gchar* vcard;
      gchar* extra;
    }

This structure is used to represent contacts returned by the `EBookCache` from various functions such as e_book_cache_search().

The `extra` parameter will contain any data which was previously passed for this contact in `e_book_cache_put_contact()` or set with e_book_cache_set_contact_extra().

These should be freed with e_book_cache_search_data_free().

###### Structure members

`uid:` `gchar*`

  The `E_CONTACT_UID` field of this contact.

`vcard:` `gchar*`

  The vcard string.

`extra:` `gchar*`

  Any extra data associated with the vcard.

Available since: 3.26

#### Constructors

###### e_book_cache_search_data_new

Creates a new EBookCacheSearchData prefilled with the given values.

since: 3.26

#### Functions

###### e_book_cache_search_data_free

Frees the `data` structure, previously allocated with `e_book_cache_search_data_new()` or e_book_cache_search_data_copy().

since: 3.26

#### Instance methods

###### e_book_cache_search_data_copy

No description available.

since: 3.26